# indic2slp/maps/malayalam_map.py

MALAYALAM_MAP = {
    # -- Independent vowels --
    'അ': 'a',
    'ആ': 'A',
    'ഇ': 'i',
    'ഈ': 'I',
    'ഉ': 'u',
    'ഊ': 'U',
    'എ': 'e',
    'ഏ': 'E',
    'ഒ': 'o',
    'ഓ': 'O',
    'ഐ': 'E',
    'ഔ': 'O',

    # -- Consonants --
    'ക': 'k',
    'ഖ': 'K',
    'ഗ': 'g',
    'ഘ': 'G',
    'ങ': 'N',
    'ച': 'c',
    'ഛ': 'C',
    'ജ': 'j',
    'ഝ': 'J',
    'ഞ': 'Y',
    'ട': 'w',
    'ഠ': 'W',
    'ഡ': 'q',
    'ഢ': 'Q',
    'ണ': 'R',
    'ത': 't',
    'ഥ': 'T',
    'ദ': 'd',
    'ധ': 'D',
    'ന': 'n',
    'പ': 'p',
    'ഫ': 'P',
    'ബ': 'b',
    'ഭ': 'B',
    'മ': 'm',
    'യ': 'y',
    'ര': 'r',
    'ല': 'l',
    'വ': 'v',
    'ശ': 'S',
    'ഷ': 'z',
    'സ': 's',
    'ഹ': 'h',
    'ള': 'L',

    # Malayalam extras
    'റ': 'r2',  # Alveolar/trilled r
    'ഴ': 'Z',   # Retroflex approximant

    # Chillus etc. are more complicated; partial example:
    # 'ൻ': 'n2', # alveolar n
    # 'ൽ': 'l2', # alveolar l
    # ...
}
